Subject: bug#41719: 28.0.50; [FR] emacsclient should provide '--name' option as emacs

From: Dmitry Alexandrov <[email-masked]>
Date: Sat, 06 Jun 2020 21:24:22 +0300

Control: retitle -1 28.0.50; emacsclient -c -F '((name . "NAME"))' is not respected --with-x-toolkit=gtk3

Dmitry Alexandrov <[email-masked]> wrote:
> Vladimir Lomov <[email-masked]> wrote:
>> ** Dmitry Alexandrov <[email-masked]> [2020-06-06 15:36:06 +0300]:
>>> Vladimir Lomov <[email-masked]> wrote:
>>
>>>> I tried to use '-F' option of 'emacsclient' but I didn't get desire result, WM_CLASS isn't changed, only WM_ICON_NAME.
>>
>>> Works for me (Emacs 28, no toolkit).
>>
>> Do you able to change WM_CLASS?
>
> Yes.

Okay, itʼs ‘no toolkit’ that seems to be determinant.  With GTK build I indeed canʼt.